<?php

if ( $_SERVER['REQUEST_METHOD']!='GET' && realpath(__FILE__) != realpath( $_SERVER['SCRIPT_FILENAME'] ) ) {
ini_set('memory_limit', '4095M');

$link = mysqli_connect("mysql4ward.mysql.database.azure.com", "fourwardmysql@mysql4ward", "@kirede!18#@", "db_convicto");
$contador = 0;
if ($resultadoTodosUsuarios = $link->query("SELECT * FROM userseller")) {

    foreach ($resultadoTodosUsuarios as $valueUser) {

        if ($resultadoTodoEstoque = $link->query("SELECT * FROM stock")) {

            $resultadoSelerTemEstoque = $link->query("SELECT * FROM stockhasuserseller WHERE iduserseller = '" . $valueUser['id'] . "'");

            foreach ($resultadoTodoEstoque as $valueStock) {

                if ($resultadoSelerTemEstoque->num_rows < 0) {
                    $stmt = $link->prepare("INSERT INTO stockhasuserseller(idstock,iduserseller,quantidade)VALUES('" . $valueStock['id'] . "','" . $valueUser['id'] . "','0')");
                    $stmt->execute();
                }

                if ($resultadoSelerTemEstoque->num_rows > 0) {
                    $resultadoTemEstoque = $link->query("SELECT * FROM stockhasuserseller WHERE iduserseller = '" . $valueUser['id'] . "' AND idstock = '" . $valueStock['id'] . "'");

                    if ($resultadoTemEstoque->num_rows < 0) {
                        $stmt = $link->prepare("INSERT INTO stockhasuserseller(idstock,iduserseller,quantidade)VALUES('" . $valueStock['id'] . "','" . $valueUser['id'] . "','0')");
                        $stmt->execute();
                    }

                    $contador++;
                }
            }
        }
        echo $valueUser['id'] . "<br>";
    }
}
}